Bug 1128441 - Guard against failure to resolve IDs
Summary: Guard against failure to resolve IDs
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-photos
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mathieu Bridon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aec734420179244648937198a25...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 13:12 UTC by Matteo Settenvini
Modified: 2017-07-17 12:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-17 18:59:25 UTC


Attachments (Terms of Use)
File: backtrace (30.94 KB, text/plain)
2014-08-10 13:12 UTC, Matteo Settenvini
no flags Details
File: cgroup (191 bytes, text/plain)
2014-08-10 13:12 UTC, Matteo Settenvini
no flags Details
File: core_backtrace (12.84 KB, text/plain)
2014-08-10 13:12 UTC, Matteo Settenvini
no flags Details
File: dso_list (14.96 KB, text/plain)
2014-08-10 13:12 UTC, Matteo Settenvini
no flags Details
File: environ (931 bytes, text/plain)
2014-08-10 13:12 UTC, Matteo Settenvini
no flags Details
File: exploitable (93 bytes, text/plain)
2014-08-10 13:12 UTC, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-10 13:13 UTC, Matteo Settenvini
no flags Details
File: maps (70.54 KB, text/plain)
2014-08-10 13:13 UTC, Matteo Settenvini
no flags Details
File: open_fds (1.03 KB, text/plain)
2014-08-10 13:13 UTC, Matteo Settenvini
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-08-10 13:13 UTC, Matteo Settenvini
no flags Details
File: var_log_messages (2.70 KB, text/plain)
2014-08-10 13:13 UTC, Matteo Settenvini
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 735746 None None None Never

Description Matteo Settenvini 2014-08-10 13:12:49 UTC
Version-Release number of selected component:
gnome-photos-3.13.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-photos --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/gnome-photos
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1802
 #1 g_hash_table_lookup_node at ghash.c:368
 #2 g_hash_table_lookup at ghash.c:1092
 #3 photos_tracker_change_monitor_add_event at photos-tracker-change-monitor.c:129
 #4 photos_tracker_change_monitor_send_events at photos-tracker-change-monitor.c:162
 #5 photos_tracker_change_monitor_cursor_next at photos-tracker-change-monitor.c:203
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:763
 #7 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:832
 #11 g_main_context_iteration at gmain.c:3795
 #12 g_application_run at gapplication.c:2219

Comment 1 Matteo Settenvini 2014-08-10 13:12:52 UTC
Created attachment 925505 [details]
File: backtrace

Comment 2 Matteo Settenvini 2014-08-10 13:12:53 UTC
Created attachment 925506 [details]
File: cgroup

Comment 3 Matteo Settenvini 2014-08-10 13:12:55 UTC
Created attachment 925507 [details]
File: core_backtrace

Comment 4 Matteo Settenvini 2014-08-10 13:12:57 UTC
Created attachment 925508 [details]
File: dso_list

Comment 5 Matteo Settenvini 2014-08-10 13:12:58 UTC
Created attachment 925509 [details]
File: environ

Comment 6 Matteo Settenvini 2014-08-10 13:12:59 UTC
Created attachment 925510 [details]
File: exploitable

Comment 7 Matteo Settenvini 2014-08-10 13:13:01 UTC
Created attachment 925511 [details]
File: limits

Comment 8 Matteo Settenvini 2014-08-10 13:13:03 UTC
Created attachment 925512 [details]
File: maps

Comment 9 Matteo Settenvini 2014-08-10 13:13:05 UTC
Created attachment 925513 [details]
File: open_fds

Comment 10 Matteo Settenvini 2014-08-10 13:13:06 UTC
Created attachment 925514 [details]
File: proc_pid_status

Comment 11 Matteo Settenvini 2014-08-10 13:13:08 UTC
Created attachment 925515 [details]
File: var_log_messages

Comment 12 Ankur Sinha (FranciscoD) 2014-08-31 13:47:56 UTC
Another user experienced a similar problem:

Random crash.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-photos --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/gnome-photos
kernel:         3.16.1-300.fc21.x86_64
package:        gnome-photos-3.13.4-2.fc21
reason:         gnome-photos killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Ankur Sinha (FranciscoD) 2014-08-31 13:50:46 UTC
Filed upstream


Note You need to log in before you can comment on or make changes to this bug.